Bug 1374007 - [RFE] RHV-H does not default to LVM Thin Provisioning
Summary: [RFE] RHV-H does not default to LVM Thin Provisioning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.2.0
: ---
Assignee: Yuval Turgeman
QA Contact: Qin Yuan
URL:
Whiteboard:
: 1380646 (view as bug list)
Depends On: 1380767
Blocks: 1502321
TreeView+ depends on / blocked
 
Reported: 2016-09-07 16:21 UTC by Jon Jozwiak
Modified: 2019-05-16 13:06 UTC (History)
14 users (show)

Fixed In Version: redhat-virtualization-host-4.1-20170728.0
Doc Type: Enhancement
Doc Text:
In this release, a new version of Anaconda now includes storage constraint checks and default settings for Red Hat Virtualization Hosts (RHVH), which require a special partitioning layout. When custom partitioning is selected, LVM-thin is the default for RHVH.
Clone Of:
Environment:
Last Closed: 2018-05-15 17:57:40 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1497062 0 high CLOSED Node 4.1.4 and later wont install on 35GB disk. 2021-05-01 16:33:37 UTC
Red Hat Product Errata RHSA-2018:1524 0 None None None 2018-05-15 17:58:49 UTC

Internal Links: 1497062

Description Jon Jozwiak 2016-09-07 16:21:09 UTC
Description of problem:
During the installation of RHV-H from ISO, when selecting to customize the partition table, 'LVM' is the default.  If you continue with LVM, the installation will fail in post-install of the node.  LVM Thin Provisioning is required.  At a minimum, LVM thin provisioning should be the default.  Ideally non-thin should not be an option if it will cause installation failure.

Version-Release number of selected component (if applicable):
RHV-H 4 GA 


Steps to Reproduce:
1. Boot to RHV-H ISO
2. Select to install RHV-H
3. Select Language and click continue
4. Select Installation Destination, click 'I will configure partitioning', and click Done

Actual results:
New mount points will use the following partitioning scheme: LVM

When clicking 'create automatically' and then proceeding with this install, the install will fail at post config due to LVM.  



Expected results:
'LVM Thin Provisioning' should be the default partitioning scheme so it does not cause an install to fail when automatically generating the partition table

Additional info:

Comment 1 Fabian Deutsch 2016-09-07 16:29:18 UTC
A good point.

We need to see if we can override the default partitioning scheme by using our own install class.

Regardless of this bug, we are working on enhancing the error messages to give more meaningful feedback to users, if they choose the wrong layout.

Comment 2 Ryan Barry 2016-09-08 00:30:25 UTC
Like the other bug (enhanced feedback), this does not appear to be possible with an installclass.

This is directly set in pyanaconda.constants, and it doesn't seem to be possible with a product.img

There's always the option of maintaining some kind of forked anaconda to hold updates.img layered on top of stock, but this is an option I'd rather not pursue.

Samantha -

Is this possible with defaultFS? It doesn't look like it.

If not, I'll open some an RFE

Comment 3 Fabian Deutsch 2016-09-23 07:47:20 UTC
We will not be able to fix this in anaconda for 4.1, but we are looking at a long term solution for this issue.

For 4.1 we will improve the post-installation error message to provide a more meaningful error message.

Comment 4 Fabian Deutsch 2017-01-05 14:53:31 UTC
*** Bug 1380646 has been marked as a duplicate of this bug. ***

Comment 5 Yuval Turgeman 2017-01-08 15:15:14 UTC
(In reply to Ryan Barry from comment #2)
> Like the other bug (enhanced feedback), this does not appear to be possible
> with an installclass.
> 
> This is directly set in pyanaconda.constants, and it doesn't seem to be
> possible with a product.img
> 
> There's always the option of maintaining some kind of forked anaconda to
> hold updates.img layered on top of stock, but this is an option I'd rather
> not pursue.
> 
> Samantha -
> 
> Is this possible with defaultFS? It doesn't look like it.
> 
> If not, I'll open some an RFE

A possible way around this, could be to create an anaconda addon (with a relevant gui spoke) that validates the requirements for the installation before the actual installation takes place.  We could ship it in product.img

Comment 6 Yuval Turgeman 2017-04-27 09:06:59 UTC
It will not be selected as a default, but some improvements were done in bug 1412151 to add storage checks in anaconda.  Does it cover this one ?

Comment 7 Sandro Bonazzola 2017-05-08 15:08:01 UTC
(In reply to Yuval Turgeman from comment #6)
> It will not be selected as a default, but some improvements were done in bug
> 1412151 to add storage checks in anaconda.  Does it cover this one ?

Moving the question to Ryan

Comment 8 Ryan Barry 2017-05-09 19:27:06 UTC
This definitely looks like it should cover it.

Yuval, can you check?

Comment 9 Ryan Barry 2017-05-09 19:27:31 UTC
Sorry, by check, I mean with the latest ISO.

Comment 10 Ryan Barry 2017-05-09 19:28:31 UTC
Nevermind -- we'll need to wait for bz#1412151 to ship before this can be verified.

Comment 11 Yuval Turgeman 2017-06-05 12:16:42 UTC
Looks like it bz#1412151 was shipped, i'll check this.

Comment 12 Ryan Barry 2017-06-30 17:18:13 UTC
How does this look, Yuval?

Comment 13 Yuval Turgeman 2017-07-02 14:47:37 UTC
Looks good in 7.4 iso, it defaults to lvmthin, and NIST partitioning.  Only issue is that the default fs is ext4 for some reason (guessing it's the default in blivet).  Looking further at the default rhv.py installclass from anaconda, it uses defaultFSType, while in rhel.py it sets defaultFS = xfs, should we post a patch ?

Comment 14 Ryan Barry 2017-07-03 10:15:37 UTC
For my part, I'm not sure that we should switch to xfs mid-release, especially since discard is very valuable with LVM thinpools.

However, I don't have a strong opinion about it, and fstrim.timer probably works nearly as well.

Comment 17 Qin Yuan 2017-12-10 15:25:34 UTC
Verify Versions:
RHVH-4.2-20171207.1-RHVH-x86_64-dvd1.iso
anaconda 21.48.22.121-1

Verify Steps:
1. Install RHVH-4.2-20171207.1-RHVH-x86_64-dvd1.iso
2. Choose "I will configure partitioning" to enter the MANUAL PARTITIONING page.
3. Check the default partitioning scheme.
4. Check custom partitioning constraints.

Results:
1. The default partitioning scheme on the MANUAL PARTITIONING page is "LVM Thin Provisioning"
2. When choosing other partitioning schemes, such as LVM, and clicking "Click here to create them automatically", then an error would be popped up at the bottom of the window saying you have to choose LVM Thin Provisioning.
3. There are also separated error indications for the following configurations:
  1) /boot lower than 1GiB
  2) no /var
  3) /var lower than 10GiB

According to the results, the custom partitioning scheme defaults to "LVM Thin Provisioning", and there are also some important storage constraint checks, so the bug is fixed, change the status to VERIFIED.

Comment 21 errata-xmlrpc 2018-05-15 17:57:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1524

Comment 22 Franta Kust 2019-05-16 13:06:51 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.